{"servers":[{"url":"http://api.recomma.ai/v1"}],"components":{"securitySchemes":{"apiKey":{"scheme":"bearer","type":"http"}}},"info":{"title":"Recomma API","version":"1"},"security":[{"apiKey":[]}],"openapi":"3.1.1","paths":{"/action/detail":{"post":{"operationId":"action.detail","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"actionId":{"type":"string"},"projectId":{"type":"string"}},"required":["actionId","projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/action/list":{"post":{"operationId":"action.list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/billing/plan":{"post":{"operationId":"billing.plan","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/brand/list":{"post":{"operationId":"brand.list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/chat/export":{"post":{"operationId":"chat.export","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/chat/get":{"post":{"operationId":"chat.get","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"},"runId":{"type":"string"}},"required":["projectId","runId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/chat/list":{"post":{"operationId":"chat.list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"domain":{"type":"string"},"engine":{"type":"string"},"entityId":{"type":"string"},"limit":{"type":"integer","minimum":1,"maximum":200,"default":50},"named":{"type":"string","minLength":1,"maxLength":80},"offset":{"type":"integer","minimum":0,"maximum":9007199254740991,"default":0},"projectId":{"type":"string"},"promptId":{"type":"string"},"query":{"type":"string"},"you":{"enum":["named","unnamed"],"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/impact/series":{"post":{"operationId":"impact.series","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"type":"string"},"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"engine":{"type":"string"},"projectId":{"type":"string"},"topic":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/keyword/headline":{"post":{"operationId":"keyword.headline","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/keyword/list":{"post":{"operationId":"keyword.list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"limit":{"type":"integer","minimum":1,"maximum":200,"default":50},"offset":{"type":"integer","minimum":0,"maximum":9007199254740991,"default":0},"projectId":{"type":"string"},"topic":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/keyword/summary":{"post":{"operationId":"keyword.summary","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/overview/summary":{"post":{"operationId":"overview.summary","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"type":"string"},"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"engine":{"type":"string"},"projectId":{"type":"string"},"topic":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/project/get":{"post":{"operationId":"project.get","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/project/list":{"post":{"operationId":"project.list","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/prompt/detail":{"post":{"operationId":"prompt.detail","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"},"promptId":{"type":"string"}},"required":["projectId","promptId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/prompt/list":{"post":{"operationId":"prompt.list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"engine":{"type":"string"},"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/prompt/sources":{"post":{"operationId":"prompt.sources","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"projectId":{"type":"string"},"promptId":{"type":"string"}},"required":["projectId","promptId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/prompt/standing":{"post":{"operationId":"prompt.standing","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"projectId":{"type":"string"},"promptId":{"type":"string"}},"required":["projectId","promptId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/referral/channels":{"post":{"operationId":"referral.channels","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"assistant":{"enum":["chatgpt","claude","copilot","deepseek","gemini","grok","meta","mistral","other","perplexity","you"],"type":"string"},"country":{"type":"string","minLength":1},"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"device":{"type":"string","minLength":1},"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/referral/overview":{"post":{"operationId":"referral.overview","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"assistant":{"enum":["chatgpt","claude","copilot","deepseek","gemini","grok","meta","mistral","other","perplexity","you"],"type":"string"},"country":{"type":"string","minLength":1},"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"device":{"type":"string","minLength":1},"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/referral/pages":{"post":{"operationId":"referral.pages","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"assistant":{"enum":["chatgpt","claude","copilot","deepseek","gemini","grok","meta","mistral","other","perplexity","you"],"type":"string"},"country":{"type":"string","minLength":1},"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"device":{"type":"string","minLength":1},"projectId":{"type":"string"},"page":{"type":"integer","minimum":1,"maximum":9007199254740991,"default":1},"pageSize":{"type":"integer","minimum":1,"maximum":200,"default":50}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/site/findings":{"post":{"operationId":"site.findings","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"limit":{"type":"integer","minimum":1,"maximum":200,"default":100},"offset":{"type":"integer","minimum":0,"maximum":9007199254740991,"default":0},"projectId":{"type":"string"},"rule":{"type":"string","minLength":1}},"required":["projectId","rule"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/site/summary":{"post":{"operationId":"site.summary","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"projectId":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/source/domainDetail":{"post":{"operationId":"source.domainDetail","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"domain":{"type":"string","minLength":1},"level":{"enum":["domain","host"],"type":"string","default":"host"},"projectId":{"type":"string"}},"required":["domain","projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/source/list":{"post":{"operationId":"source.list","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"kinds":{"type":"array","items":{"enum":["owned","competitor","editorial","corporate","reference","institutional","ugc","unknown"],"type":"string"}},"level":{"enum":["domain","host"],"type":"string","default":"domain"},"offset":{"type":"integer","minimum":0,"maximum":9007199254740991,"default":0},"projectId":{"type":"string"},"query":{"type":"string","maxLength":200},"you":{"enum":["named","unnamed"],"type":"string"},"country":{"type":"string"},"engine":{"type":"string"},"topic":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/source/movers":{"post":{"operationId":"source.movers","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"level":{"enum":["domain","host"],"type":"string","default":"domain"},"of":{"enum":["domain","url"],"type":"string","default":"domain"},"projectId":{"type":"string"},"country":{"type":"string"},"engine":{"type":"string"},"topic":{"type":"string"}},"required":["projectId"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}},"/source/urlDetail":{"post":{"operationId":"source.urlDetail","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"days":{"type":"integer","minimum":1,"maximum":365,"default":30},"includeText":{"type":"boolean","default":false},"projectId":{"type":"string"},"url":{"type":"string","minLength":1}},"required":["projectId","url"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"anyOf":[{},{"not":{}}]}}}}}}}}}